Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface ForEach

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FlowNode, Node, org.eclipse.emf.common.notify.Notifier

    public interface ForEach

extends FlowNode

A representation of the model object 'For Each'.

The following features are supported:

- `Collection`
- `Item`
- `First Loop Node`
- `After Loop Node`

See Also:
  `SvcorchPackage.getForEach()`

Method Summary
`Node` | `getAfterLoopNode()` Returns the value of the 'After Loop Node' reference
`DataSlot` | `getCollection()` Returns the value of the 'Collection' reference
`Node` | `getFirstLoopNode()` Returns the value of the 'First Loop Node' reference
`DataSlot` | `getItem()` Returns the value of the 'Item' reference
`void` | `setAfterLoopNode(Node value)` Sets the value of the '`After Loop Node`' reference
`void` | `setCollection(DataSlot value)` Sets the value of the '`Collection`' reference
`void` | `setFirstLoopNode(Node value)` Sets the value of the '`First Loop Node`' reference
`void` | `setItem(DataSlot value)` Sets the value of the '`Item`' reference

Methods inherited from interface it.csi.mddtools.svcorch.Node
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCollection

    DataSlot getCollection()

  Returns the value of the 'Collection' reference.

  If the meaning of the 'Collection' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collection' reference.
  See Also:
    `setCollection(DataSlot)`, `SvcorchPackage.getForEach_Collection()`

### setCollection

    void setCollection(DataSlot value)

  Sets the value of the '`Collection`' reference.

  Parameters:
    `value` - the new value of the 'Collection' reference.
  See Also:
    `getCollection()`

### getItem

    DataSlot getItem()

  Returns the value of the 'Item' reference.

  If the meaning of the 'Item' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item' reference.
  See Also:
    `setItem(DataSlot)`, `SvcorchPackage.getForEach_Item()`

### setItem

    void setItem(DataSlot value)

  Sets the value of the '`Item`' reference.

  Parameters:
    `value` - the new value of the 'Item' reference.
  See Also:
    `getItem()`

### getFirstLoopNode

    Node getFirstLoopNode()

  Returns the value of the 'First Loop Node' reference.

  If the meaning of the 'First Loop Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'First Loop Node' reference.
  See Also:
    `setFirstLoopNode(Node)`, `SvcorchPackage.getForEach_FirstLoopNode()`

### setFirstLoopNode

    void setFirstLoopNode(Node value)

  Sets the value of the '`First Loop Node`' reference.

  Parameters:
    `value` - the new value of the 'First Loop Node' reference.
  See Also:
    `getFirstLoopNode()`

### getAfterLoopNode

    Node getAfterLoopNode()

  Returns the value of the 'After Loop Node' reference.

  If the meaning of the 'After Loop Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'After Loop Node' reference.
  See Also:
    `setAfterLoopNode(Node)`, `SvcorchPackage.getForEach_AfterLoopNode()`

### setAfterLoopNode

    void setAfterLoopNode(Node value)

  Sets the value of the '`After Loop Node`' reference.

  Parameters:
    `value` - the new value of the 'After Loop Node' reference.
  See Also:
    `getAfterLoopNode()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD